IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/32
Addresses2^96
/64 networks2^32
- Network
fe80:c25b::/32- First address
fe80:c25b::- Last address
fe80:c25b:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 79,228,162,514,264,337,593,543,950,336 (2^96)
- /64 networks (LANs)
- 4,294,967,296
- Full form
fe80:c25b:0000:0000:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
b.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25b::/32 makes 256 subnets of /40.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25b::/40 | fe80:c25b:ff:ffff:ffff:ffff:ffff:ffff |
| 2 | fe80:c25b:100::/40 | fe80:c25b:1ff:ffff:ffff:ffff:ffff:ffff |
| 3 | fe80:c25b:200::/40 | fe80:c25b:2ff:ffff:ffff:ffff:ffff:ffff |
| 4 | fe80:c25b:300::/40 | fe80:c25b:3ff:ffff:ffff:ffff:ffff:ffff |
| 5 | fe80:c25b:400::/40 | fe80:c25b:4ff:ffff:ffff:ffff:ffff:ffff |
| 6 | fe80:c25b:500::/40 | fe80:c25b:5ff:ffff:ffff:ffff:ffff:ffff |
| 7 | fe80:c25b:600::/40 | fe80:c25b:6ff:ffff:ffff:ffff:ffff:ffff |
| 8 | fe80:c25b:700::/40 | fe80:c25b:7ff:ffff:ffff:ffff:ffff:ffff |
| 9 | fe80:c25b:800::/40 | fe80:c25b:8ff:ffff:ffff:ffff:ffff:ffff |
| 10 | fe80:c25b:900::/40 | fe80:c25b:9ff:ffff:ffff:ffff:ffff:ffff |
| 11 | fe80:c25b:a00::/40 | fe80:c25b:aff:ffff:ffff:ffff:ffff:ffff |
| 12 | fe80:c25b:b00::/40 | fe80:c25b:bff:ffff:ffff:ffff:ffff:ffff |
| 13 | fe80:c25b:c00::/40 | fe80:c25b:cff:ffff:ffff:ffff:ffff:ffff |
| 14 | fe80:c25b:d00::/40 | fe80:c25b:dff:ffff:ffff:ffff:ffff:ffff |
| 15 | fe80:c25b:e00::/40 | fe80:c25b:eff:ffff:ffff:ffff:ffff:ffff |
| 16 | fe80:c25b:f00::/40 | fe80:c25b:fff:ffff:ffff:ffff:ffff:ffff |
| 17 | fe80:c25b:1000::/40 | fe80:c25b:10ff:ffff:ffff:ffff:ffff:ffff |
| 18 | fe80:c25b:1100::/40 | fe80:c25b:11ff:ffff:ffff:ffff:ffff:ffff |
| 19 | fe80:c25b:1200::/40 | fe80:c25b:12ff:ffff:ffff:ffff:ffff:ffff |
| 20 | fe80:c25b:1300::/40 | fe80:c25b:13ff:ffff:ffff:ffff:ffff:ffff |
| 21 | fe80:c25b:1400::/40 | fe80:c25b:14ff:ffff:ffff:ffff:ffff:ffff |
| 22 | fe80:c25b:1500::/40 | fe80:c25b:15ff:ffff:ffff:ffff:ffff:ffff |
| 23 | fe80:c25b:1600::/40 | fe80:c25b:16ff:ffff:ffff:ffff:ffff:ffff |
| 24 | fe80:c25b:1700::/40 | fe80:c25b:17ff:ffff:ffff:ffff:ffff:ffff |
| 25 | fe80:c25b:1800::/40 | fe80:c25b:18ff:ffff:ffff:ffff:ffff:ffff |
| 26 | fe80:c25b:1900::/40 | fe80:c25b:19ff:ffff:ffff:ffff:ffff:ffff |
| 27 | fe80:c25b:1a00::/40 | fe80:c25b:1aff:ffff:ffff:ffff:ffff:ffff |
| 28 | fe80:c25b:1b00::/40 | fe80:c25b:1bff:ffff:ffff:ffff:ffff:ffff |
| 29 | fe80:c25b:1c00::/40 | fe80:c25b:1cff:ffff:ffff:ffff:ffff:ffff |
| 30 | fe80:c25b:1d00::/40 | fe80:c25b:1dff:ffff:ffff:ffff:ffff:ffff |
| 31 | fe80:c25b:1e00::/40 | fe80:c25b:1eff:ffff:ffff:ffff:ffff:ffff |
| 32 | fe80:c25b:1f00::/40 | fe80:c25b:1fff:ffff:ffff:ffff:ffff:ffff |
| 33 | fe80:c25b:2000::/40 | fe80:c25b:20ff:ffff:ffff:ffff:ffff:ffff |
| 34 | fe80:c25b:2100::/40 | fe80:c25b:21ff:ffff:ffff:ffff:ffff:ffff |
| 35 | fe80:c25b:2200::/40 | fe80:c25b:22ff:ffff:ffff:ffff:ffff:ffff |
| 36 | fe80:c25b:2300::/40 | fe80:c25b:23ff:ffff:ffff:ffff:ffff:ffff |
| 37 | fe80:c25b:2400::/40 | fe80:c25b:24ff:ffff:ffff:ffff:ffff:ffff |
| 38 | fe80:c25b:2500::/40 | fe80:c25b:25ff:ffff:ffff:ffff:ffff:ffff |
| 39 | fe80:c25b:2600::/40 | fe80:c25b:26ff:ffff:ffff:ffff:ffff:ffff |
| 40 | fe80:c25b:2700::/40 | fe80:c25b:27ff:ffff:ffff:ffff:ffff:ffff |
| 41 | fe80:c25b:2800::/40 | fe80:c25b:28ff:ffff:ffff:ffff:ffff:ffff |
| 42 | fe80:c25b:2900::/40 | fe80:c25b:29ff:ffff:ffff:ffff:ffff:ffff |
| 43 | fe80:c25b:2a00::/40 | fe80:c25b:2aff:ffff:ffff:ffff:ffff:ffff |
| 44 | fe80:c25b:2b00::/40 | fe80:c25b:2bff:ffff:ffff:ffff:ffff:ffff |
| 45 | fe80:c25b:2c00::/40 | fe80:c25b:2cff:ffff:ffff:ffff:ffff:ffff |
| 46 | fe80:c25b:2d00::/40 | fe80:c25b:2dff:ffff:ffff:ffff:ffff:ffff |
| 47 | fe80:c25b:2e00::/40 | fe80:c25b:2eff:ffff:ffff:ffff:ffff:ffff |
| 48 | fe80:c25b:2f00::/40 | fe80:c25b:2fff:ffff:ffff:ffff:ffff:ffff |
| 49 | fe80:c25b:3000::/40 | fe80:c25b:30ff:ffff:ffff:ffff:ffff:ffff |
| 50 | fe80:c25b:3100::/40 | fe80:c25b:31ff:ffff:ffff:ffff:ffff:ffff |
| 51 | fe80:c25b:3200::/40 | fe80:c25b:32ff:ffff:ffff:ffff:ffff:ffff |
| 52 | fe80:c25b:3300::/40 | fe80:c25b:33ff:ffff:ffff:ffff:ffff:ffff |
| 53 | fe80:c25b:3400::/40 | fe80:c25b:34ff:ffff:ffff:ffff:ffff:ffff |
| 54 | fe80:c25b:3500::/40 | fe80:c25b:35ff:ffff:ffff:ffff:ffff:ffff |
| 55 | fe80:c25b:3600::/40 | fe80:c25b:36ff:ffff:ffff:ffff:ffff:ffff |
| 56 | fe80:c25b:3700::/40 | fe80:c25b:37ff:ffff:ffff:ffff:ffff:ffff |
| 57 | fe80:c25b:3800::/40 | fe80:c25b:38ff:ffff:ffff:ffff:ffff:ffff |
| 58 | fe80:c25b:3900::/40 | fe80:c25b:39ff:ffff:ffff:ffff:ffff:ffff |
| 59 | fe80:c25b:3a00::/40 | fe80:c25b:3aff:ffff:ffff:ffff:ffff:ffff |
| 60 | fe80:c25b:3b00::/40 | fe80:c25b:3bff:ffff:ffff:ffff:ffff:ffff |
| 61 | fe80:c25b:3c00::/40 | fe80:c25b:3cff:ffff:ffff:ffff:ffff:ffff |
| 62 | fe80:c25b:3d00::/40 | fe80:c25b:3dff:ffff:ffff:ffff:ffff:ffff |
| 63 | fe80:c25b:3e00::/40 | fe80:c25b:3eff:ffff:ffff:ffff:ffff:ffff |
| 64 | fe80:c25b:3f00::/40 | fe80:c25b:3fff:ffff:ffff:ffff:ffff:ffff |
| 65 | fe80:c25b:4000::/40 | fe80:c25b:40ff:ffff:ffff:ffff:ffff:ffff |
| 66 | fe80:c25b:4100::/40 | fe80:c25b:41ff:ffff:ffff:ffff:ffff:ffff |
| 67 | fe80:c25b:4200::/40 | fe80:c25b:42ff:ffff:ffff:ffff:ffff:ffff |
| 68 | fe80:c25b:4300::/40 | fe80:c25b:43ff:ffff:ffff:ffff:ffff:ffff |
| 69 | fe80:c25b:4400::/40 | fe80:c25b:44ff:ffff:ffff:ffff:ffff:ffff |
| 70 | fe80:c25b:4500::/40 | fe80:c25b:45ff:ffff:ffff:ffff:ffff:ffff |
| 71 | fe80:c25b:4600::/40 | fe80:c25b:46ff:ffff:ffff:ffff:ffff:ffff |
| 72 | fe80:c25b:4700::/40 | fe80:c25b:47ff:ffff:ffff:ffff:ffff:ffff |
| 73 | fe80:c25b:4800::/40 | fe80:c25b:48ff:ffff:ffff:ffff:ffff:ffff |
| 74 | fe80:c25b:4900::/40 | fe80:c25b:49ff:ffff:ffff:ffff:ffff:ffff |
| 75 | fe80:c25b:4a00::/40 | fe80:c25b:4aff:ffff:ffff:ffff:ffff:ffff |
| 76 | fe80:c25b:4b00::/40 | fe80:c25b:4bff:ffff:ffff:ffff:ffff:ffff |
| 77 | fe80:c25b:4c00::/40 | fe80:c25b:4cff:ffff:ffff:ffff:ffff:ffff |
| 78 | fe80:c25b:4d00::/40 | fe80:c25b:4dff:ffff:ffff:ffff:ffff:ffff |
| 79 | fe80:c25b:4e00::/40 | fe80:c25b:4eff:ffff:ffff:ffff:ffff:ffff |
| 80 | fe80:c25b:4f00::/40 | fe80:c25b:4fff:ffff:ffff:ffff:ffff:ffff |
| 81 | fe80:c25b:5000::/40 | fe80:c25b:50ff:ffff:ffff:ffff:ffff:ffff |
| 82 | fe80:c25b:5100::/40 | fe80:c25b:51ff:ffff:ffff:ffff:ffff:ffff |
| 83 | fe80:c25b:5200::/40 | fe80:c25b:52ff:ffff:ffff:ffff:ffff:ffff |
| 84 | fe80:c25b:5300::/40 | fe80:c25b:53ff:ffff:ffff:ffff:ffff:ffff |
| 85 | fe80:c25b:5400::/40 | fe80:c25b:54ff:ffff:ffff:ffff:ffff:ffff |
| 86 | fe80:c25b:5500::/40 | fe80:c25b:55ff:ffff:ffff:ffff:ffff:ffff |
| 87 | fe80:c25b:5600::/40 | fe80:c25b:56ff:ffff:ffff:ffff:ffff:ffff |
| 88 | fe80:c25b:5700::/40 | fe80:c25b:57ff:ffff:ffff:ffff:ffff:ffff |
| 89 | fe80:c25b:5800::/40 | fe80:c25b:58ff:ffff:ffff:ffff:ffff:ffff |
| 90 | fe80:c25b:5900::/40 | fe80:c25b:59ff:ffff:ffff:ffff:ffff:ffff |
| 91 | fe80:c25b:5a00::/40 | fe80:c25b:5aff:ffff:ffff:ffff:ffff:ffff |
| 92 | fe80:c25b:5b00::/40 | fe80:c25b:5bff:ffff:ffff:ffff:ffff:ffff |
| 93 | fe80:c25b:5c00::/40 | fe80:c25b:5cff:ffff:ffff:ffff:ffff:ffff |
| 94 | fe80:c25b:5d00::/40 | fe80:c25b:5dff:ffff:ffff:ffff:ffff:ffff |
| 95 | fe80:c25b:5e00::/40 | fe80:c25b:5eff:ffff:ffff:ffff:ffff:ffff |
| 96 | fe80:c25b:5f00::/40 | fe80:c25b:5fff:ffff:ffff:ffff:ffff:ffff |
| 97 | fe80:c25b:6000::/40 | fe80:c25b:60ff:ffff:ffff:ffff:ffff:ffff |
| 98 | fe80:c25b:6100::/40 | fe80:c25b:61ff:ffff:ffff:ffff:ffff:ffff |
| 99 | fe80:c25b:6200::/40 | fe80:c25b:62ff:ffff:ffff:ffff:ffff:ffff |
| 100 | fe80:c25b:6300::/40 | fe80:c25b:63ff:ffff:ffff:ffff:ffff:ffff |
| 101 | fe80:c25b:6400::/40 | fe80:c25b:64ff:ffff:ffff:ffff:ffff:ffff |
| 102 | fe80:c25b:6500::/40 | fe80:c25b:65ff:ffff:ffff:ffff:ffff:ffff |
| 103 | fe80:c25b:6600::/40 | fe80:c25b:66ff:ffff:ffff:ffff:ffff:ffff |
| 104 | fe80:c25b:6700::/40 | fe80:c25b:67ff:ffff:ffff:ffff:ffff:ffff |
| 105 | fe80:c25b:6800::/40 | fe80:c25b:68ff:ffff:ffff:ffff:ffff:ffff |
| 106 | fe80:c25b:6900::/40 | fe80:c25b:69ff:ffff:ffff:ffff:ffff:ffff |
| 107 | fe80:c25b:6a00::/40 | fe80:c25b:6aff:ffff:ffff:ffff:ffff:ffff |
| 108 | fe80:c25b:6b00::/40 | fe80:c25b:6bff:ffff:ffff:ffff:ffff:ffff |
| 109 | fe80:c25b:6c00::/40 | fe80:c25b:6cff:ffff:ffff:ffff:ffff:ffff |
| 110 | fe80:c25b:6d00::/40 | fe80:c25b:6dff:ffff:ffff:ffff:ffff:ffff |
| 111 | fe80:c25b:6e00::/40 | fe80:c25b:6eff:ffff:ffff:ffff:ffff:ffff |
| 112 | fe80:c25b:6f00::/40 | fe80:c25b:6fff:ffff:ffff:ffff:ffff:ffff |
| 113 | fe80:c25b:7000::/40 | fe80:c25b:70ff:ffff:ffff:ffff:ffff:ffff |
| 114 | fe80:c25b:7100::/40 | fe80:c25b:71ff:ffff:ffff:ffff:ffff:ffff |
| 115 | fe80:c25b:7200::/40 | fe80:c25b:72ff:ffff:ffff:ffff:ffff:ffff |
| 116 | fe80:c25b:7300::/40 | fe80:c25b:73ff:ffff:ffff:ffff:ffff:ffff |
| 117 | fe80:c25b:7400::/40 | fe80:c25b:74ff:ffff:ffff:ffff:ffff:ffff |
| 118 | fe80:c25b:7500::/40 | fe80:c25b:75ff:ffff:ffff:ffff:ffff:ffff |
| 119 | fe80:c25b:7600::/40 | fe80:c25b:76ff:ffff:ffff:ffff:ffff:ffff |
| 120 | fe80:c25b:7700::/40 | fe80:c25b:77ff:ffff:ffff:ffff:ffff:ffff |
| 121 | fe80:c25b:7800::/40 | fe80:c25b:78ff:ffff:ffff:ffff:ffff:ffff |
| 122 | fe80:c25b:7900::/40 | fe80:c25b:79ff:ffff:ffff:ffff:ffff:ffff |
| 123 | fe80:c25b:7a00::/40 | fe80:c25b:7aff:ffff:ffff:ffff:ffff:ffff |
| 124 | fe80:c25b:7b00::/40 | fe80:c25b:7bff:ffff:ffff:ffff:ffff:ffff |
| 125 | fe80:c25b:7c00::/40 | fe80:c25b:7cff:ffff:ffff:ffff:ffff:ffff |
| 126 | fe80:c25b:7d00::/40 | fe80:c25b:7dff:ffff:ffff:ffff:ffff:ffff |
| 127 | fe80:c25b:7e00::/40 | fe80:c25b:7eff:ffff:ffff:ffff:ffff:ffff |
| 128 | fe80:c25b:7f00::/40 | fe80:c25b:7fff:ffff:ffff:ffff:ffff:ffff |
| 129 | fe80:c25b:8000::/40 | fe80:c25b:80ff:ffff:ffff:ffff:ffff:ffff |
| 130 | fe80:c25b:8100::/40 | fe80:c25b:81ff:ffff:ffff:ffff:ffff:ffff |
| 131 | fe80:c25b:8200::/40 | fe80:c25b:82ff:ffff:ffff:ffff:ffff:ffff |
| 132 | fe80:c25b:8300::/40 | fe80:c25b:83ff:ffff:ffff:ffff:ffff:ffff |
| 133 | fe80:c25b:8400::/40 | fe80:c25b:84ff:ffff:ffff:ffff:ffff:ffff |
| 134 | fe80:c25b:8500::/40 | fe80:c25b:85ff:ffff:ffff:ffff:ffff:ffff |
| 135 | fe80:c25b:8600::/40 | fe80:c25b:86ff:ffff:ffff:ffff:ffff:ffff |
| 136 | fe80:c25b:8700::/40 | fe80:c25b:87ff:ffff:ffff:ffff:ffff:ffff |
| 137 | fe80:c25b:8800::/40 | fe80:c25b:88ff:ffff:ffff:ffff:ffff:ffff |
| 138 | fe80:c25b:8900::/40 | fe80:c25b:89ff:ffff:ffff:ffff:ffff:ffff |
| 139 | fe80:c25b:8a00::/40 | fe80:c25b:8aff:ffff:ffff:ffff:ffff:ffff |
| 140 | fe80:c25b:8b00::/40 | fe80:c25b:8bff:ffff:ffff:ffff:ffff:ffff |
| 141 | fe80:c25b:8c00::/40 | fe80:c25b:8cff:ffff:ffff:ffff:ffff:ffff |
| 142 | fe80:c25b:8d00::/40 | fe80:c25b:8dff:ffff:ffff:ffff:ffff:ffff |
| 143 | fe80:c25b:8e00::/40 | fe80:c25b:8eff:ffff:ffff:ffff:ffff:ffff |
| 144 | fe80:c25b:8f00::/40 | fe80:c25b:8fff:ffff:ffff:ffff:ffff:ffff |
| 145 | fe80:c25b:9000::/40 | fe80:c25b:90ff:ffff:ffff:ffff:ffff:ffff |
| 146 | fe80:c25b:9100::/40 | fe80:c25b:91ff:ffff:ffff:ffff:ffff:ffff |
| 147 | fe80:c25b:9200::/40 | fe80:c25b:92ff:ffff:ffff:ffff:ffff:ffff |
| 148 | fe80:c25b:9300::/40 | fe80:c25b:93ff:ffff:ffff:ffff:ffff:ffff |
| 149 | fe80:c25b:9400::/40 | fe80:c25b:94ff:ffff:ffff:ffff:ffff:ffff |
| 150 | fe80:c25b:9500::/40 | fe80:c25b:95ff:ffff:ffff:ffff:ffff:ffff |
| 151 | fe80:c25b:9600::/40 | fe80:c25b:96ff:ffff:ffff:ffff:ffff:ffff |
| 152 | fe80:c25b:9700::/40 | fe80:c25b:97ff:ffff:ffff:ffff:ffff:ffff |
| 153 | fe80:c25b:9800::/40 | fe80:c25b:98ff:ffff:ffff:ffff:ffff:ffff |
| 154 | fe80:c25b:9900::/40 | fe80:c25b:99ff:ffff:ffff:ffff:ffff:ffff |
| 155 | fe80:c25b:9a00::/40 | fe80:c25b:9aff:ffff:ffff:ffff:ffff:ffff |
| 156 | fe80:c25b:9b00::/40 | fe80:c25b:9bff:ffff:ffff:ffff:ffff:ffff |
| 157 | fe80:c25b:9c00::/40 | fe80:c25b:9cff:ffff:ffff:ffff:ffff:ffff |
| 158 | fe80:c25b:9d00::/40 | fe80:c25b:9dff:ffff:ffff:ffff:ffff:ffff |
| 159 | fe80:c25b:9e00::/40 | fe80:c25b:9eff:ffff:ffff:ffff:ffff:ffff |
| 160 | fe80:c25b:9f00::/40 | fe80:c25b:9fff:ffff:ffff:ffff:ffff:ffff |
| 161 | fe80:c25b:a000::/40 | fe80:c25b:a0ff:ffff:ffff:ffff:ffff:ffff |
| 162 | fe80:c25b:a100::/40 | fe80:c25b:a1ff:ffff:ffff:ffff:ffff:ffff |
| 163 | fe80:c25b:a200::/40 | fe80:c25b:a2ff:ffff:ffff:ffff:ffff:ffff |
| 164 | fe80:c25b:a300::/40 | fe80:c25b:a3ff:ffff:ffff:ffff:ffff:ffff |
| 165 | fe80:c25b:a400::/40 | fe80:c25b:a4ff:ffff:ffff:ffff:ffff:ffff |
| 166 | fe80:c25b:a500::/40 | fe80:c25b:a5ff:ffff:ffff:ffff:ffff:ffff |
| 167 | fe80:c25b:a600::/40 | fe80:c25b:a6ff:ffff:ffff:ffff:ffff:ffff |
| 168 | fe80:c25b:a700::/40 | fe80:c25b:a7ff:ffff:ffff:ffff:ffff:ffff |
| 169 | fe80:c25b:a800::/40 | fe80:c25b:a8ff:ffff:ffff:ffff:ffff:ffff |
| 170 | fe80:c25b:a900::/40 | fe80:c25b:a9ff:ffff:ffff:ffff:ffff:ffff |
| 171 | fe80:c25b:aa00::/40 | fe80:c25b:aaff:ffff:ffff:ffff:ffff:ffff |
| 172 | fe80:c25b:ab00::/40 | fe80:c25b:abff:ffff:ffff:ffff:ffff:ffff |
| 173 | fe80:c25b:ac00::/40 | fe80:c25b:acff:ffff:ffff:ffff:ffff:ffff |
| 174 | fe80:c25b:ad00::/40 | fe80:c25b:adff:ffff:ffff:ffff:ffff:ffff |
| 175 | fe80:c25b:ae00::/40 | fe80:c25b:aeff:ffff:ffff:ffff:ffff:ffff |
| 176 | fe80:c25b:af00::/40 | fe80:c25b:afff:ffff:ffff:ffff:ffff:ffff |
| 177 | fe80:c25b:b000::/40 | fe80:c25b:b0ff:ffff:ffff:ffff:ffff:ffff |
| 178 | fe80:c25b:b100::/40 | fe80:c25b:b1ff:ffff:ffff:ffff:ffff:ffff |
| 179 | fe80:c25b:b200::/40 | fe80:c25b:b2ff:ffff:ffff:ffff:ffff:ffff |
| 180 | fe80:c25b:b300::/40 | fe80:c25b:b3ff:ffff:ffff:ffff:ffff:ffff |
| 181 | fe80:c25b:b400::/40 | fe80:c25b:b4ff:ffff:ffff:ffff:ffff:ffff |
| 182 | fe80:c25b:b500::/40 | fe80:c25b:b5ff:ffff:ffff:ffff:ffff:ffff |
| 183 | fe80:c25b:b600::/40 | fe80:c25b:b6ff:ffff:ffff:ffff:ffff:ffff |
| 184 | fe80:c25b:b700::/40 | fe80:c25b:b7ff:ffff:ffff:ffff:ffff:ffff |
| 185 | fe80:c25b:b800::/40 | fe80:c25b:b8ff:ffff:ffff:ffff:ffff:ffff |
| 186 | fe80:c25b:b900::/40 | fe80:c25b:b9ff:ffff:ffff:ffff:ffff:ffff |
| 187 | fe80:c25b:ba00::/40 | fe80:c25b:baff:ffff:ffff:ffff:ffff:ffff |
| 188 | fe80:c25b:bb00::/40 | fe80:c25b:bbff:ffff:ffff:ffff:ffff:ffff |
| 189 | fe80:c25b:bc00::/40 | fe80:c25b:bcff:ffff:ffff:ffff:ffff:ffff |
| 190 | fe80:c25b:bd00::/40 | fe80:c25b:bdff:ffff:ffff:ffff:ffff:ffff |
| 191 | fe80:c25b:be00::/40 | fe80:c25b:beff:ffff:ffff:ffff:ffff:ffff |
| 192 | fe80:c25b:bf00::/40 | fe80:c25b:bfff:ffff:ffff:ffff:ffff:ffff |
| 193 | fe80:c25b:c000::/40 | fe80:c25b:c0ff:ffff:ffff:ffff:ffff:ffff |
| 194 | fe80:c25b:c100::/40 | fe80:c25b:c1ff:ffff:ffff:ffff:ffff:ffff |
| 195 | fe80:c25b:c200::/40 | fe80:c25b:c2ff:ffff:ffff:ffff:ffff:ffff |
| 196 | fe80:c25b:c300::/40 | fe80:c25b:c3ff:ffff:ffff:ffff:ffff:ffff |
| 197 | fe80:c25b:c400::/40 | fe80:c25b:c4ff:ffff:ffff:ffff:ffff:ffff |
| 198 | fe80:c25b:c500::/40 | fe80:c25b:c5ff:ffff:ffff:ffff:ffff:ffff |
| 199 | fe80:c25b:c600::/40 | fe80:c25b:c6ff:ffff:ffff:ffff:ffff:ffff |
| 200 | fe80:c25b:c700::/40 | fe80:c25b:c7ff:ffff:ffff:ffff:ffff:ffff |
| 201 | fe80:c25b:c800::/40 | fe80:c25b:c8ff:ffff:ffff:ffff:ffff:ffff |
| 202 | fe80:c25b:c900::/40 | fe80:c25b:c9ff:ffff:ffff:ffff:ffff:ffff |
| 203 | fe80:c25b:ca00::/40 | fe80:c25b:caff:ffff:ffff:ffff:ffff:ffff |
| 204 | fe80:c25b:cb00::/40 | fe80:c25b:cbff:ffff:ffff:ffff:ffff:ffff |
| 205 | fe80:c25b:cc00::/40 | fe80:c25b:ccff:ffff:ffff:ffff:ffff:ffff |
| 206 | fe80:c25b:cd00::/40 | fe80:c25b:cdff:ffff:ffff:ffff:ffff:ffff |
| 207 | fe80:c25b:ce00::/40 | fe80:c25b:ceff:ffff:ffff:ffff:ffff:ffff |
| 208 | fe80:c25b:cf00::/40 | fe80:c25b:cfff:ffff:ffff:ffff:ffff:ffff |
| 209 | fe80:c25b:d000::/40 | fe80:c25b:d0ff:ffff:ffff:ffff:ffff:ffff |
| 210 | fe80:c25b:d100::/40 | fe80:c25b:d1ff:ffff:ffff:ffff:ffff:ffff |
| 211 | fe80:c25b:d200::/40 | fe80:c25b:d2ff:ffff:ffff:ffff:ffff:ffff |
| 212 | fe80:c25b:d300::/40 | fe80:c25b:d3ff:ffff:ffff:ffff:ffff:ffff |
| 213 | fe80:c25b:d400::/40 | fe80:c25b:d4ff:ffff:ffff:ffff:ffff:ffff |
| 214 | fe80:c25b:d500::/40 | fe80:c25b:d5ff:ffff:ffff:ffff:ffff:ffff |
| 215 | fe80:c25b:d600::/40 | fe80:c25b:d6ff:ffff:ffff:ffff:ffff:ffff |
| 216 | fe80:c25b:d700::/40 | fe80:c25b:d7ff:ffff:ffff:ffff:ffff:ffff |
| 217 | fe80:c25b:d800::/40 | fe80:c25b:d8ff:ffff:ffff:ffff:ffff:ffff |
| 218 | fe80:c25b:d900::/40 | fe80:c25b:d9ff:ffff:ffff:ffff:ffff:ffff |
| 219 | fe80:c25b:da00::/40 | fe80:c25b:daff:ffff:ffff:ffff:ffff:ffff |
| 220 | fe80:c25b:db00::/40 | fe80:c25b:dbff:ffff:ffff:ffff:ffff:ffff |
| 221 | fe80:c25b:dc00::/40 | fe80:c25b:dcff:ffff:ffff:ffff:ffff:ffff |
| 222 | fe80:c25b:dd00::/40 | fe80:c25b:ddff:ffff:ffff:ffff:ffff:ffff |
| 223 | fe80:c25b:de00::/40 | fe80:c25b:deff:ffff:ffff:ffff:ffff:ffff |
| 224 | fe80:c25b:df00::/40 | fe80:c25b:dfff:ffff:ffff:ffff:ffff:ffff |
| 225 | fe80:c25b:e000::/40 | fe80:c25b:e0ff:ffff:ffff:ffff:ffff:ffff |
| 226 | fe80:c25b:e100::/40 | fe80:c25b:e1ff:ffff:ffff:ffff:ffff:ffff |
| 227 | fe80:c25b:e200::/40 | fe80:c25b:e2ff:ffff:ffff:ffff:ffff:ffff |
| 228 | fe80:c25b:e300::/40 | fe80:c25b:e3ff:ffff:ffff:ffff:ffff:ffff |
| 229 | fe80:c25b:e400::/40 | fe80:c25b:e4ff:ffff:ffff:ffff:ffff:ffff |
| 230 | fe80:c25b:e500::/40 | fe80:c25b:e5ff:ffff:ffff:ffff:ffff:ffff |
| 231 | fe80:c25b:e600::/40 | fe80:c25b:e6ff:ffff:ffff:ffff:ffff:ffff |
| 232 | fe80:c25b:e700::/40 | fe80:c25b:e7ff:ffff:ffff:ffff:ffff:ffff |
| 233 | fe80:c25b:e800::/40 | fe80:c25b:e8ff:ffff:ffff:ffff:ffff:ffff |
| 234 | fe80:c25b:e900::/40 | fe80:c25b:e9ff:ffff:ffff:ffff:ffff:ffff |
| 235 | fe80:c25b:ea00::/40 | fe80:c25b:eaff:ffff:ffff:ffff:ffff:ffff |
| 236 | fe80:c25b:eb00::/40 | fe80:c25b:ebff:ffff:ffff:ffff:ffff:ffff |
| 237 | fe80:c25b:ec00::/40 | fe80:c25b:ecff:ffff:ffff:ffff:ffff:ffff |
| 238 | fe80:c25b:ed00::/40 | fe80:c25b:edff:ffff:ffff:ffff:ffff:ffff |
| 239 | fe80:c25b:ee00::/40 | fe80:c25b:eeff:ffff:ffff:ffff:ffff:ffff |
| 240 | fe80:c25b:ef00::/40 | fe80:c25b:efff:ffff:ffff:ffff:ffff:ffff |
| 241 | fe80:c25b:f000::/40 | fe80:c25b:f0ff:ffff:ffff:ffff:ffff:ffff |
| 242 | fe80:c25b:f100::/40 | fe80:c25b:f1ff:ffff:ffff:ffff:ffff:ffff |
| 243 | fe80:c25b:f200::/40 | fe80:c25b:f2ff:ffff:ffff:ffff:ffff:ffff |
| 244 | fe80:c25b:f300::/40 | fe80:c25b:f3ff:ffff:ffff:ffff:ffff:ffff |
| 245 | fe80:c25b:f400::/40 | fe80:c25b:f4ff:ffff:ffff:ffff:ffff:ffff |
| 246 | fe80:c25b:f500::/40 | fe80:c25b:f5ff:ffff:ffff:ffff:ffff:ffff |
| 247 | fe80:c25b:f600::/40 | fe80:c25b:f6ff:ffff:ffff:ffff:ffff:ffff |
| 248 | fe80:c25b:f700::/40 | fe80:c25b:f7ff:ffff:ffff:ffff:ffff:ffff |
| 249 | fe80:c25b:f800::/40 | fe80:c25b:f8ff:ffff:ffff:ffff:ffff:ffff |
| 250 | fe80:c25b:f900::/40 | fe80:c25b:f9ff:ffff:ffff:ffff:ffff:ffff |
| 251 | fe80:c25b:fa00::/40 | fe80:c25b:faff:ffff:ffff:ffff:ffff:ffff |
| 252 | fe80:c25b:fb00::/40 | fe80:c25b:fbff:ffff:ffff:ffff:ffff:ffff |
| 253 | fe80:c25b:fc00::/40 | fe80:c25b:fcff:ffff:ffff:ffff:ffff:ffff |
| 254 | fe80:c25b:fd00::/40 | fe80:c25b:fdff:ffff:ffff:ffff:ffff:ffff |
| 255 | fe80:c25b:fe00::/40 | fe80:c25b:feff:ffff:ffff:ffff:ffff:ffff |
| 256 | fe80:c25b:ff00::/40 | fe80:c25b:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |